servermon::ServerMonitor_2_0_1::ServerSettings Struct Reference

Server Reachability Settings. More...

`import"ServerMonitor.idl";`

## Public Attributes

string | host
| Server hostname/IP address.
boolean | enabled
| Pinging enabled.
int | pingInterval
| Wait time after successful ping.
int | retryInterval
| Wait time after unsuccessful ping.
int | activationCount
| Minimum number of successful pings to enable feature.
int | failureCount
| Number of unsuccessful pings to consider server down.
int | resumeDelay
| Wait time before resuming pinging.
int | resumeCount
| Number of resumes before going back to WAITING state.
ServerPowerSettings | powerSettings
| Settings for controlling the power state of the server.

## Detailed Description

Server Reachability Settings.

The documentation for this struct was generated from the following file:

- pdu-json-rpc-api/idl/ServerMonitor.idl